"""Базовый класс исключений."""


class Error(Exception):
    """Общая ошибка калькулятора."""

    pos: int

    def __init__(self, pos: int, *args) -> None:
        self.pos = pos
        if len(args) == 0:
            args = [f"Error at {pos} position."]
        super().__init__(*args)
